<div class="pending-apps">
  <form [formGroup]="agencyGroup">
    <app-content-banner [isDashboard]="false" pageName="Pending Application List ({{pendingAppsCount}}) ">
    </app-content-banner>
    <mat-card class="cap-main-card mat-elevation-z0">
      <mat-card-header fxLayout="column" fxLayoutGap="10px">
        <div fxLayout="row" class="header-banner">
          <div *ngIf="isCASAgency == false">
            <span style="font-weight: 600; margin-bottom:5px">Agency Name/No :&nbsp;<span> {{ agencyName }}</span>
            </span>
            <span style="font-weight: 600; color:red">Pending applications expire in 30 days and must be completed by
              the expiration dates below. </span>
          </div>
          <div class="left-text" *ngIf="isCASAgency == true">
            <span style="font-weight: 600; margin-top:-40px; height:70px">Agency Name/No :&nbsp;
              <div>
                <mat-form-field appearance="outline" class='regular-mat-form-field '
                  style='width:500px;height:20px !important'>
                  <input matInput aria-label="AgencyID" [matAutocomplete]="auto" [formControl]="searchStringCtrl"
                    placeholder="Select one">
                  <mat-icon matSuffix>search</mat-icon>
                  <mat-autocomplete #auto="matAutocomplete">
                    <mat-option *ngFor="let agency of filteredAgencyData | async"
                      [value]='agency.agencyNo + " - "  + agency.name' (onSelectionChange)="updateAgGrid(agency)">
                      {{agency.agencyNo}} - {{agency.name}}
                    </mat-option>
                  </mat-autocomplete>
                </mat-form-field>
              </div>
            </span>
            <span style="font-weight: 600; color:red; margin-top: 15px;">Pending applications expire in 30 days and must
              be completed by the
              expiration dates below. </span>
          </div>
        </div>
      </mat-card-header>
      <mat-card-content>
        <div class="example-small-box mat-elevation-z4" fxLayout="column">
          <div class="table-filters-header" fxLayout="column">
            <div fxLayout="row" fxLayoutAlign="start">
              <div class="paging-size-header">
                Show
                <select (change)="onPageSizeChanged($event.target.value)">
                  <option value="10" selected>10</option>
                  <option value="25">25</option>
                  <option value="50">50</option>
                  <option value="5000">All</option>
                </select>
                <span>&nbsp;Entries</span>
              </div>
              <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">
                  settings_backup_restore</mat-icon>
                <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>
              </div>
            </div>
          </div>
          <div class="example-container mat-elevation-z4">
            <ag-grid-angular #agGrid id="myGrid" style="width: 100%" class="ag-theme-balham my-grid"
              [columnDefs]="columnDefs" [defaultColDef]="defaultColDef" [rowData]="rowData" [context]="context"
              [rowSelection]="rowSelection" [singleClickEdit]="true" [floatingFilter]="true" [animateRows]="true"
              [gridOptions]="gridOptions" [pagination]="pagination" [paginationPageSize]="10"
              [frameworkComponents]="frameworkComponents" (gridReady)="onGridReady($event)">
            </ag-grid-angular>
          </div>
        </div>
      </mat-card-content>
    </mat-card>
  </form>
</div>